#define XCK       PB0
#define XCK_DDR   DDRB
#define XCK_PORT  PORTB
#define TXD0      PD1
#define TXD0_DDR  DDRD
#define TXD0_PORT PORTD
#define BAUD 4500000ULL
#define MSPIM 1

#ifdef DOUBLE_SPEED
  #define UBRR_VAL ((F_CPU+BAUD*4)/(BAUD*8)-1)
#elif MSPIM
  #define UBRR_VAL ((F_CPU+BAUD)/(BAUD*2)-1)
#else
  #define UBRR_VAL ((F_CPU+BAUD*8)/(BAUD*16)-1)
#endif

void usart_init (void);
uint8_t usart_mspim_transceive (uint8_t data);
